Subject: Re: linux-next: build failure after merge of the final tree (block tree related)

From: Philipp Reisner <[email-masked]>
Date: Thu, 17 Mar 2011 15:01:32 +0100

Am Donnerstag, 17. März 2011, um 11:17:08 schrieb Jens Axboe:
> On 2011-03-17 00:31, Stephen Rothwell wrote:
> > Hi Jens,
> > 
> > On Fri, 11 Mar 2011 08:12:38 +0100 Jens Axboe <[email-masked]> wrote:
> >> On 2011-03-11 07:58, Stephen Rothwell wrote:
> >>> After merging the final tree, today's linux-next build (powerpc
> >>> allyesconfig) failed like this:
> >>> 
> >>> drivers/char/tpm/tpm_tis.c:96: warning: 'is_itpm' defined but not used
> >>> drivers/block/drbd/drbd_bitmap.c: In function '__bm_change_bits_to':
> >>> drivers/block/drbd/drbd_bitmap.c:1287: error: implicit declaration of
> >>> function 'generic___test_and_set_le_bit'
> >>> drivers/block/drbd/drbd_bitmap.c:1289: error: implicit declaration of
> >>> function 'generic___test_and_clear_le_bit'
> >>> drivers/block/drbd/drbd_bitmap.c: In function 'drbd_bm_test_bit':
> >>> drivers/block/drbd/drbd_bitmap.c:1438: error: implicit declaration of
> >>> function 'generic_test_le_bit'
> >>> 
> >>> Caused by commit 4b0715f09655 ("drbd: allow petabyte storage on 64bit
> >>> arch").
> >> 
> >>> I have applied this patch for today (surely there is a better way):
> >> Thanks for not dropping it, I'll let the drbd guys send in a proper fix
> >> and get it committed.
> > 
> > Ping?
> 
> Lars, please send me a fix for this ASAP. It's holding up the block
> merge.

Hi Jens,

Please use Stephen's patch for the merge. It is perfectly valid.

Lars is in the progress of preparing a suggestion for a much
broader cleanup/fix for the little-endian bitops topic.

But that should not delay the the block merge, nor is it necessary
for the drbd updates. He plans to have that ready by tomorrow.

Best,
 Phil
-- 
: Dipl-Ing Philipp Reisner
: LINBIT | Your Way to High Availability
: Tel: +43-1-8178292-50, Fax: +43-1-8178292-82
: http://www.linbit.com

DRBD(R) and LINBIT(R) are registered trademarks of LINBIT, Austria.